<img src="assets/maths.svg" alt="Maths">
<form [formGroup]="serieForm" #ngSerieForm="ngForm" (keydown.enter)="calculateSerie()" (ngSubmit)="calculateSerie()">
    <div class="field-container">
        <mat-form-field appearance="outline">
            <mat-label for="serie-number">Ingrese un número</mat-label>
            <input (keypress)="keyPressNumber($event)" matInput id="serie-number" type="number" formControlName="number"
                autocomplete="off">
        </mat-form-field>
        <mat-hint *ngIf="serieForm.get('number')?.hasError('required') && (serieForm.dirty || serieForm.touched)">Es necesario ingresar un valor para calcular la serie.</mat-hint>
        <mat-hint *ngIf="serieForm.get('number')?.hasError('min')">El valor ingresado debe de ser mayor a cero (0).</mat-hint>
    </div>
    <button id="btn-calcular" [disabled]="serieForm.invalid" type="submit" mat-raised-button color="primary">Calcular</button>
</form>